#!/bin/sh

MAKEDEPS="make "
DEPS="elogind"

PKG_VER=1.13.0
SOURCE=https://dbus.freedesktop.org/releases/dbus/dbus-$PKG_VER.tar.gz

ADDITIONAL="
dbus.confd
dbus.initd
dbus.trigger
"

DESC="A message bus system allowing applications to talk to one another"

build () {
    ./configure --prefix=/usr                        \
            --sysconfdir=/etc                    \
            --localstatedir=/var                 \
            --enable-user-session                \
            --disable-doxygen-docs               \
            --disable-xml-docs                   \
            --disable-static                     \
            --with-systemduserunitdir=$BUILD_ROOT/no         \
            --with-systemdsystemunitdir=$BUILD_ROOT/no       \
            --docdir=/usr/share/doc/dbus-$PKG_VER \
            --with-console-auth-dir=/run/console \
            --with-system-pid-file=/run/dbus/pid \
            --with-system-socket=/run/dbus/system_bus_socket \
            --with-x &&
    make
}

package () {
    make DESTDIR=$PKG_DEST install
    mv usr/lib/lib*.so.* $PKG_DEST/usr/lib/

    chown  root:messagebus $PKG_DEST/usr/libexec/dbus-daemon-launch-helper &&
    chmod       4750       $PKG_DEST/usr/libexec/dbus-daemon-launch-helper
    
    cat > $PKG_DEST/etc/dbus-1/session-local.conf << "EOF"
<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- Search for .service files in /usr/local -->
  <servicedir>/usr/local/share/dbus-1/services</servicedir>

</busconfig>
EOF

    install -Dm755 dbus.initd $PKG_DEST/etc/init.d/dbus
	install -Dm644 dbus.confd $PKG_DEST/etc/conf.d/dbus
}

postinstall () {
    rc-update add dbus
}
#!/bin/sh

MAKEDEPS="make "
DEPS="elogind"

PKG_VER=1.13.0
SOURCE=https://dbus.freedesktop.org/releases/dbus/dbus-$PKG_VER.tar.gz

ADDITIONAL="
dbus.confd
dbus.initd
dbus.trigger
"

DESC="A message bus system allowing applications to talk to one another"

build () {
    ./configure --prefix=/usr                        \
            --sysconfdir=/etc                    \
            --localstatedir=/var                 \
            --enable-user-session                \
            --disable-doxygen-docs               \
            --disable-xml-docs                   \
            --disable-static                     \
            --with-systemduserunitdir=$BUILD_ROOT/no         \
            --with-systemdsystemunitdir=$BUILD_ROOT/no       \
            --docdir=/usr/share/doc/dbus-$PKG_VER \
            --with-console-auth-dir=/run/console \
            --with-system-pid-file=/run/dbus/pid \
            --with-system-socket=/run/dbus/system_bus_socket \
            --with-x &&
    make
}

package () {
    make DESTDIR=$PKG_DEST install
    mv usr/lib/lib*.so.* $PKG_DEST/usr/lib/

    chown  root:messagebus $PKG_DEST/usr/libexec/dbus-daemon-launch-helper &&
    chmod       4750       $PKG_DEST/usr/libexec/dbus-daemon-launch-helper
    
    cat > $PKG_DEST/etc/dbus-1/session-local.conf << "EOF"
<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- Search for .service files in /usr/local -->
  <servicedir>/usr/local/share/dbus-1/services</servicedir>

</busconfig>
EOF

    install -Dm755 dbus.initd $PKG_DEST/etc/init.d/dbus
	install -Dm644 dbus.confd $PKG_DEST/etc/conf.d/dbus
}

postinstall () {
    rc-update add dbus
}
postinstall
